/****************************************************************************
**
** Copyright (C) 2001-2003 RibbonSoft. All rights reserved.
** Copyright (c) 2007 Martin Teichmann. All rights reserved.
**
** This file is part of the KAD project, based on a file
** from the QCad project.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
**********************************************************************/

#include "qc_graphicview.h"


#include "rs_actiondefault.h"
#include "rs_settings.h"

#include "qc_applicationwindow.h"

QC_GraphicView::QC_GraphicView(RS_Document* doc, QC_MDIWindow* p)
        :QG_GraphicView(p->widget(), "graphicview"), parent(p) {

    RS_DEBUG->print("QC_GraphicView::QC_GraphicView()..");
    //document = doc;

    RS_DEBUG->print("  Setting Container..");
    if (doc!=NULL) {
        setContainer(doc);
    }
    RS_DEBUG->print("  container set.");
    setFactorX(4.0);
    setFactorY(4.0);
    setOffset(50, 50);
    setBorders(10, 10, 10, 10);
	
    //setBackground(Qt::black);

	if (doc!=NULL) {
		setDefaultAction(new RS_ActionDefault(*doc, *this));
	}
}


QC_GraphicView::~QC_GraphicView() {
}

void QC_GraphicView::drawIt() {
    if (!isUpdateEnabled()) {
        return;
    }

    //createPainter();

    RS_GraphicView::drawIt();

    //destroyPainter();
}

RS_Document *QC_GraphicView::getDocument()
{
	return dynamic_cast<RS_Document*>(getContainer());
}

#include "qc_graphicview.moc"

// EOF
