/****************************************************************************
**
** Copyright (C) 2001-2003 RibbonSoft. All rights reserved.
** Copyright (c) 2007 Martin Teichmann. All rights reserved.
**
** This file is part of the KAD project, based on a file
** from the QCad project.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
**********************************************************************/

#ifndef QC_GRAPHICVIEW_H
#define QC_GRAPHICVIEW_H

#include <qwidget.h>

#include "rs_document.h"
#include "rs_eventhandler.h"
//#include "rs_painterqt.h"

#include "qg_graphicview.h"

class QC_ApplicationWindow;
class QC_MDIWindow;

/**
 * A view widget for the visualisation of drawings.
 * Very thin wrapper for QCad specific settings.
 *
 * @author Andrew Mustun
 */
class QC_GraphicView : public QG_GraphicView {
    Q_OBJECT

public:
    QC_GraphicView(RS_Document* doc, QC_MDIWindow* parent=0);
    virtual ~QC_GraphicView();

    virtual void drawIt();

    RS_Document *getDocument();
    QC_MDIWindow *getParent() { return parent; }

private:
    QC_MDIWindow *parent;
};

#endif

